
#ifdef        GLOBALS_API_RTC
    #define   EXTERN_API_RTC


#else
    #define   EXTERN_API_RTC     extern
#endif
#ifndef API_RTC_H_
#define API_RTC_H_

        #define           T_1ms                 1
        #define           T_10ms                10*T_1ms
        #define           T_20ms                20*T_1ms
        #define           T_25ms                25*T_1ms
        #define           T_50ms                50 
        #define           T_100ms               100           
        #define           T_1s                  10*T_100ms  
        #define           T_200ms               2*T_100ms
        #define           T_300ms               3*T_100ms
        #define           T_400ms               4*T_100ms
        #define           T_500ms               5*T_100ms
        #define           T_600ms               6*T_100ms
        #define           T_700ms               7*T_100ms
        #define           T_800ms               8*T_100ms
        #define           T_2s                  2*T_1s
        #define           T_3s                  3*T_1s
        #define           T_3_5s                3*T_1s
        #define           T_4s                  4*T_1s
        #define           T_5s                  5*T_1s
        #define           T_6s                  6*T_1s
        #define           T_2_5s                2*T_1s
        #define           T_8s                  8*T_1s
        #define           T_9s                  9*T_1s
        #define           T_10s                 10*T_1s
   
        
        EXTERN_API_RTC    interrupt   void      Api_RTC_isr(void);
        EXTERN_API_RTC              void        Api_SetTimer7(INT16U Second,ClockType *T);
        EXTERN_API_RTC              INT8U       Api_TimerOver7(ClockType *T);         
        EXTERN_API_RTC              void        Api_SetTimer6(INT16U Second,ClockType *T);
        EXTERN_API_RTC              INT8U       Api_TimerOver6(ClockType *T);  
        EXTERN_API_RTC              void        Api_SetTimer5(INT16U Second,ClockType *T);
        EXTERN_API_RTC              INT8U       Api_TimerOver5(ClockType *T); 
        EXTERN_API_RTC              void        Api_SetTimer4(INT16U Second,ClockType *T);
        EXTERN_API_RTC              INT8U       Api_TimerOver4(ClockType *T);  
        EXTERN_API_RTC              void        Api_SetTimer3(INT16U Second,ClockType *T);
        EXTERN_API_RTC              INT8U       Api_TimerOver3(ClockType *T);  
        EXTERN_API_RTC              void        Api_SetTimer2(INT16U Second,ClockType *T);
        EXTERN_API_RTC              INT8U       Api_TimerOver2(ClockType *T);
        EXTERN_API_RTC              void        Api_SetTimer1(INT16U Second,ClockType *T);
        EXTERN_API_RTC              INT8U       Api_TimerOver1(ClockType *T);
        EXTERN_API_RTC              void        Api_SetTimer0(INT16U Second,ClockType *T);
        EXTERN_API_RTC              INT8U       Api_TimerOver0(ClockType *T);
        EXTERN_API_RTC              void        Api_SetAutoTimer(INT16U Second,ClockType *T);
        EXTERN_API_RTC              INT8U       Api_AutoTimerOver(ClockType *T);

extern INT16U direction_espeed ;
#endif /* API_RTC_H_ */